Method: firstPartyAndPartnerAudiences.editCustomerMatchMembers

  • This API endpoint updates the member list of a Customer Match audience.

  • It is only supported for Customer Match audiences with audienceType of CUSTOMER_MATCH_CONTACT_INFO or CUSTOMER_MATCH_DEVICE_ID.

  • The request uses a POST HTTP method and requires the firstPartyAndPartnerAudienceId as a path parameter.

  • The request body includes the advertiserId and allows adding or removing members via contact information or mobile device IDs.

  • A successful response returns the firstPartyAndPartnerAudienceId of the updated audience.

Updates the member list of a Customer Match audience.

Only supported for the following audienceType:

  • CUSTOMER_MATCH_CONTACT_INFO
  • CUSTOMER_MATCH_DEVICE_ID

HTTP request

POST https://displayvideo.googleapis.com/v4/firstPartyAndPartnerAudiences/{firstPartyAndPartnerAudienceId}:editCustomerMatchMembers

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
firstPartyAndPartnerAudienceId

string (int64 format)

Required. The ID of the Customer Match FirstPartyAndPartnerAudience whose members will be edited.

Request body

The request body contains data with the following structure:

JSON representation
{
  "advertiserId": string,

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "addedContactInfoList": {
    object (ContactInfoList)
  },
  "addedMobileDeviceIdList": {
    object (MobileDeviceIdList)
  }
  // End of mutually exclusive fields.

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "removedContactInfoList": {
    object (ContactInfoList)
  },
  "removedMobileDeviceIdList": {
    object (MobileDeviceIdList)
  }
  // End of mutually exclusive fields.
}
Fields
advertiserId

string (int64 format)

Required. The ID of the owner advertiser of the updated Customer Match FirstAndThirdPartyAudience.

The members to be added to the Customer Match audience. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
addedContactInfoList

object (ContactInfoList)

Input only. A list of contact information to define the members to be added.

addedMobileDeviceIdList

object (MobileDeviceIdList)

Input only. A list of mobile device IDs to define the members to be added.

End of mutually exclusive fields.
The members to be removed from the Customer Match audience. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
removedContactInfoList

object (ContactInfoList)

Input only. A list of contact information to define the members to be removed.

removedMobileDeviceIdList

object (MobileDeviceIdList)

Input only. A list of mobile device IDs to define the members to be removed.

End of mutually exclusive fields.

Response body

The response of FirstPartyAndPartnerAudienceService.EditCustomerMatchMembers.

If successful, the response body contains data with the following structure:

JSON representation
{
  "firstPartyAndPartnerAudienceId": string
}
Fields
firstPartyAndPartnerAudienceId

string (int64 format)

Required. The ID of the updated Customer Match FirstPartyAndPartnerAudience.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.